import java.io.*;
import javax.swing.*;

class refISO17584test
{
public static void main(String arg[])
{   //refISO17584 g; 
  refISO17584 g;
  String isim;
    while(true)
	{
    //isim=JOptioanPane.showInputDialog("soğutucu akışkan ismi :  ");
    g=new refISO17584("R123");
	//double t =Double.parseDouble(JOptionPane.showInputDialog(" t (derece C) : ")); 
    //double P =Double.parseDouble(JOptionPane.showInputDialog(" P (kPa  ) : ")); 
    double t=10.0;
    double P=100.0;
    double a[]=g.property("tp",t,P);
    System.out.println(Matrix.toString(a));
    /*
    double v=g.v_tp(t,P);
    String s=g.r.refrigerantName+"\n";
    s+="v = "+v+" m^3/kg \n";
	s+="P = "+g.P(t,v)+" kPa\n";
	s+="M   = "+g.r.M+"  kg/kmol\n";
	s+="u = "+g.u(t,v)+" kj/kg\n";
	s+="h = "+g.h(t,v)+" kj/kg\n";
	s+="s = "+g.s(t,v)+" kj/kg K \n";
	s+="ro = "+1.0/v+" kg/m^3\n";	
    JOptionPane.showMessageDialog(null,s,"deneme", JOptionPane.PLAIN_MESSAGE);
    */
    }
}
}